
# Basic functionality tests.
#
# $Id: basic.py,v 1.5 2001/11/25 10:32:58 djc Exp $

import unittest
import albatross
import albatross_test

class BasicCase(albatross_test.AlbatrossTestCase):
    template_dir = "basic"
    
    def check_file(self):
        self.html_test("file.html", "plain\n")

    def check_nxfile(self):
	self.assertRaises(albatross.TemplateLoadError, self.html_test, "nxfile.html", "(none)")

    def check_const_value(self):
        self.html_test("const-value.html", "27")

    def check_value_no_expr(self):
	self.assertRaises(albatross.TemplateError, self.html_test, "value-no-expr.html", "(none)")

    def check_value_no_expr_sp(self):
	self.assertRaises(albatross.TemplateError, self.html_test, "value-no-expr-sp.html", "(none)")

    def check_var_value(self):
        self.ctx.locals.x = 17
        self.html_test("var-value.html", "17")

    def check_var_float(self):
        self.ctx.locals.x = 2.1
        self.html_test("var-value.html", "2.1")

    def check_var_string(self):
        self.ctx.locals.x = "abc"
        self.html_test("var-value.html", "abc")

    def check_date(self):
        self.html_test("date.html", "Thursday, July 26, 2001, 12:06PM")

class BasicSuite(unittest.TestSuite):
    test_list = (
        "check_file",
        "check_nxfile",
        "check_const_value",
        "check_value_no_expr",
        "check_value_no_expr_sp",
        "check_var_value",
        "check_var_float",
        "check_var_string",
	"check_date",
    )
    def __init__(self):
        unittest.TestSuite.__init__(self, map(BasicCase, self.test_list))

def suite():
    return BasicSuite()

if __name__ == '__main__':
    unittest.main(defaultTest='suite')
